1 GB RAM'e Sahip Bilgisayar İçin 32 Bit Linux Önerisi

Elinde 2007 den kalma 1 gb ramli bir netbookum var ve ubuntu 16 32 bit kurdum fakat şu anda güncelleme almıyor ve benim opengl kütüphanesi kullanacağım fakat çalışmıyor. Glfw yu çalıştıra mıyorum hem güncelleme alan ve düzgün bir şekilde opengl açabileceğim bir distro lazım. Opengl sorunu ubuntu yüzünden olmayabilir fakat yinede değiştirmem lazım. (arch 32 bit denedim fakat xfce + firefox açınca takılıyor bir daha geri gelmiyor)

2 Likes

antix linux öneririm hafiftir eğer sadece webde gezinmek isterseniz tiny core kurun

4 Likes

AntiX ve MXLinux gibi dağıtımlar 32 biti hala destekliyor. Ubuntu 16 artık güncelleme almıyor ve kullanmanızı tavsiye etmeyiz.

4 Likes

Çok sağ olun opengl ile kendi motorumu yapıp game jame katılacağım allah yardımcım olsun

4 Likes

Benim tavsiyem void linux kurman yönünde.

Hem açılış süresiyle -runit kullanıyor- hem iso’nun aşırı minimal olmasıyla birlikte tercih etmiştim. İlk kurulum sonrası boşta 180 mb civarında ram kullanıyordu.

mx linux’la kıyaslayacak olursam, mx biraz hantal kalıyor gibi fakat void kullanamayacak olsam tercihim mx olurdu.

1 Like

Ventroy ile hepsini deneyeceğim. Sağ olun :pray:

AntiX kullanıyorum. Bilgisayarım 15-16 yıllık. 64 bit kullanıyorum memnunum. Oyun oynuyorum, günlük kullanıyorum. Önerebilirim rahatlıkla. Debian 32 bit desteğini kesmedi ve dolayısıyla debian tabanlı dağıtımları öneririm. AntiX 19’dan denemeye başlayın.

19 2025’e kadar,
22 2027’ye kadar desteklenecek.

23 de son sürüm zaten

Her sürümünde 64 bitin boşta RAM yükü 130-200 arasıydı. 32 bit daha da hafiftir. İşlemciniz destekliyorsa 64 bit öneririm. 5-6 GB da takas alanından idare eder. Bir de 32 bitin program desteği çok kötü günümüzde.

2 Likes

32 bitin durumunu bir ben bilirim birde gariban pcim. Zamanında xp de minecraft açıldığında crash veriyordu sonraki sürümlerinde 3 fps oynayabildim anca. O yüzden oyun oynama gibi bir derdim yok. Yeni pc alamayacağımdan değil hobi olsun diye yapıyorum. Tabi artık bu hobi den çok mazoşistlik olmaya başladı

Az önce görünüm konusu açtım bir bakabilirsiniz görüntüye yüke.

Bodhi bence iyi. Naçizane tavsiyemdir.

Bodhi Ubuntu tabanlı olduğu için 32 bit isteyenler eski sürüm kullanmak zorunda kalıyor. AntiX ise Debian tabanlı ve Debian tabanı güncel sürümlerine halen 32 bit desteği ekliyor. Denenir mi denenir ama AntiX varken kullanmayı düşünmüyorum Bodhi’yi. Yine de hafif linux rehberimde SS Tierdedir. :+1:

1 Like

Gpu nun opengl versiyonu da önemli belki uygulamaları çalıştıramayabilirsin.

uygulamalar çalışıyor ama kodum çalışmıyor

Büyük ihtimalle en az opengl 3 kullanıyorsun ama gpu 2 destekliyor. Tarayıcılar vb diğer uygulamalar farklı render apiler ve farklı gl versiyonunu aynı anda kullanabiliyor o yüzden sıkıntı çıkmıyor.

Sen gene de glxinfo | grep "OpenGL version" kodunu çalıştırıp çıktısını at.
Eğer glxinfo yoksa mesa-utils paketini kurup tekrar dene.